Data Sources API
Estimated reading time: 3 minutes
View your connected data sources and their status through the API.
List Data Sources
GET /api/v1/data-sources/
Authorization: Bearer claribi_abc123...Returns all active data sources in your organization. Requires data_sources:read scope.
Get Data Source Details
GET /api/v1/data-sources/{id}/
Authorization: Bearer claribi_abc123...Returns details about a specific data source including connection status.
Supported Source Types
| Type | source_type value |
|---|---|
| File Upload (CSV, Excel, JSON, PDF) | file |
| Database Connection | database |
| REST API Endpoint | api |
| Google Analytics | google_analytics |
| Google Sheets | google_sheets |
| Google Drive | google_drive |
| Google Ads | google_ads |
| Meta Ads | meta_ads |
| Jira | jira |
| Confluence | confluence |
| Zapier Webhook | zapier |
| BigQuery Query | bigquery_query |
| Image/Document (OCR) | image |
Note
Data source management (creating, updating, deleting, syncing) is done through the clariBI web interface. The external API provides read-only access to view your connected data sources and their status.
Related
Ready to try clariBI?
Start your free 14-day trial. No credit card required.